Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class MessageHeader_1_0

    java.lang.Object
      |
      +--org.omg.GIOP.MessageHeader_1_0

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class MessageHeader_1_0
extends java.lang.Object
implements IDLEntity

Struct definition : MessageHeader_1_0

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`boolean` | `byte_order` Struct member byte_order
`Version` | `GIOP_version` Struct member GIOP_version
`char[]` | `magic` Struct member magic
`int` | `message_size` Struct member message_size
`byte` | `message_type` Struct member message_type

Constructor Summary
`MessageHeader_1_0()` Default constructor
`MessageHeader_1_0(char[] magic, Version GIOP_version, boolean byte_order, byte message_type, int message_size)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### magic

    public char[] magic

  Struct member magic

### GIOP_version

    public Version GIOP_version

  Struct member GIOP_version

### byte_order

    public boolean byte_order

  Struct member byte_order

### message_type

    public byte message_type

  Struct member message_type

### message_size

    public int message_size

  Struct member message_size

Constructor Detail

### MessageHeader_1_0

    public MessageHeader_1_0()

  Default constructor

### MessageHeader_1_0

    public MessageHeader_1_0(char[] magic,
                             Version GIOP_version,
                             boolean byte_order,
                             byte message_type,
                             int message_size)

  Constructor with fields initialization
  Parameters:
    `magic` - magic struct member
    `GIOP_version` - GIOP_version struct member
    `byte_order` - byte_order struct member
    `message_type` - message_type struct member
    `message_size` - message_size struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD